package com.bassbooster.soundeffects.equalizer.data.api

import com.bassbooster.soundeffects.equalizer.data.model.User
import com.rxandroidnetworking.RxAndroidNetworking
import rx.Single

class ApiServiceImpl : ApiService {

    override fun getUsers(): Single<MutableList<User>> {
        return RxAndroidNetworking.get("https://5e510330f2c0d300147c034c.mockapi.io/users").build()
            .getObjectListSingle(User::class.java)
    }
}
